;----------------------------------------------------------------------------
; SynRMIHID.inf
;
; Copyright (c) 1996-2012, Synaptics Incorporated
;----------------------------------------------------------------------------


[Version]
Signature   = "$WINDOWS NT$"
Class       = HIDClass
ClassGuid   = {745a17a0-74d3-11d0-b6fe-00a0c90f57da}
Provider    = %Provider%
CatalogFile = SynTP.cat
DriverVer=01/10/2013, 16.3.9.0

[DestinationDirs]
DefaultDestDir        = 12 ; Drivers directory
CopyFiles_Drivers     = 12 ; Drivers directory
CopyFiles_ProgFiles   = 16422, %targetdir%  ; Program files

[SourceDisksNames]
1 = %DiskId1%,,,""

[SourceDisksFiles]
SynRMIHID.sys  = 1
SynRMIHID.ini  = 1

;*****************************************
; SynRMIHID  Install Section
;*****************************************


[Manufacturer]
%StdMfg%=Standard, NTx86

; Decorated model section take precedence over undecorated 
; ones on XP and later. 
[Standard.NTx86]


%SynRMIHID.DeviceDesc% = SynRMIHID_Device,HID\VEN_MSFT&DEV_0001&Col02
%SynRMIHID.DeviceDesc% = SynRMIHID_Device,HID\VID_06CB&PID_2319&Col02
%SynRMIHID.DeviceDesc% = SynRMIHID_Device,HID\SYN1E9D&Col02


[SynRMIHID_Device.NT]
CopyFiles=CopyFiles_Drivers,CopyFiles_ProgFiles

[CopyFiles_Drivers]
SynRMIHID.sys,,,0x00000001

[CopyFiles_ProgFiles]
SynRMIHID.ini,,,0x00000001

[SynRMIHID_Device.NT.Services]
Include = input.inf
Needs = HID_Raw_Inst.NT.Services
AddService = SynRMIHID,,SynRMIHID_Service_Inst

[SynRMIHID_AddReg.HW]
HKR,,"UpperFilters",0x00010000,"SynRMIHID"

[SynRMIHID_Device.NT.HW]
AddReg = SynRMIHID_AddReg.HW

; -------------- SynRMIHID driver install sections
[SynRMIHID_Service_Inst]
DisplayName    = %SynRMIHID.SVCDESC%
ServiceType    = 1               ; SERVICE_KERNEL_DRIVER
StartType      = 3               ; SERVICE_DEMAND_START 
ErrorControl   = 1               ; SERVICE_ERROR_NORMAL
ServiceBinary  = %12%\SynRMIHID.sys

[Strings]
SPSVCINST_ASSOCSERVICE = 0x00000002
Provider               = "Synaptics"
StdMfg                 = "Synaptics Inc"
DiskId1                = "Synaptics HID Installation Disk"
SynRMIHID.DeviceDesc   = "Synaptics HID Device"
SynRMIHID.SVCDESC      = "Synaptics HID Service"
ClassName              = "HID Device"
TargetDir              = "Synaptics\SynTP"
